Bug 731902

Summary: RFE: log messages when changing XML
Product: [Community] PressGang CCMS Reporter: Dana Mison <dmison>
Component: Web-UIAssignee: Matthew Casperson <mcaspers>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: low    
Version: 1.xCC: cbredesen, topic-tool-list
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-03 21:55:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 809286    

Description Dana Mison 2011-08-19 00:58:17 UTC
We need to be able to specify a log message when making changes (any changes) to a topic.

We also need to be able to view the list of revisions on each topic (not the diffs) just the messages, the user that made the change, and the date/time.  (ideally in the future clicking on each item would display the diff of those changes some how)

Comment 1 Matthew Casperson 2011-09-16 02:17:34 UTC
Envers supports this functionality: http://docs.jboss.org/hibernate/envers/3.6/reference/en-US/html_single/#revisionlog

Comment 2 David Ryan 2012-07-20 05:44:38 UTC
This would be useful for QE to match the log with the versions quoted in Bugzille bugs, and becomes necessary for situations where multiple authors/teams/products use the same topic or topic cluster.

Comment 3 Matthew Casperson 2012-12-03 21:55:21 UTC
This has now been implemented.